<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="reporteMYSQL1" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="6c82700a-ed58-4011-a3a6-5dcb910b1b7f">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="Descripcion" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT
    dim_habitacion.HABITACION_NUMERO,
    dim_empleado.EMPLEADO_NOMBRE AS EMPLEADO,
    dim_tipo_mantenimiento.MT_DESCRIPCION AS TIPO_MANTENIMIENTO,
    dim_mantenimiento.MANTENIMIENTO_FECHA
    FROM
    hc_servicio_satisfactorio
    INNER JOIN dim_habitacion ON  hc_servicio_satisfactorio.HABITACION_ID = dim_habitacion.HABITACION_ID
	INNER JOIN dim_mantenimiento ON  hc_servicio_satisfactorio.MANTENIMIENTO_ID = dim_mantenimiento.MANTENIMIENTO_ID
	INNER JOIN dim_empleado ON  hc_servicio_satisfactorio.EMPLEADO_ID = dim_empleado.EMPLEADO_ID
    INNER JOIN dim_tipo_mantenimiento ON  dim_mantenimiento.MT_ID = dim_tipo_mantenimiento.MT_ID
    where dim_tipo_mantenimiento.MT_DESCRIPCION = $P{Descripcion}]]>
	</queryString>
	<field name="HABITACION_NUMERO" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="EMPLEADO" class="java.lang.String"/>
	<field name="TIPO_MANTENIMIENTO" class="java.lang.String"/>
	<field name="MANTENIMIENTO_FECHA" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="139" splitType="Stretch">
			<staticText>
				<reportElement x="105" y="68" width="344" height="20" uuid="3a5aa295-c127-4f40-b65a-84c246178459"/>
				<textElement>
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[UNIVERSIDAD LAICA ELOY ALFARO DE MANABI]]></text>
			</staticText>
			<staticText>
				<reportElement x="141" y="92" width="273" height="20" uuid="6eb66bf9-dcd8-476a-8437-0a6802da1d89"/>
				<textElement>
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[SISTEMA COORPORATIVO DE GESTION]]></text>
			</staticText>
			<image>
				<reportElement x="391" y="2" width="162" height="50" uuid="f0c9e078-3eb2-4fd5-9b04-5c19d45f3d68"/>
				<imageExpression><![CDATA["C:\\Users\\jely\\Documents\\NetBeansProjects\\reportes_java_mysql\\src\\imagenes\\FACCI.jpg"]]></imageExpression>
			</image>
			<image>
				<reportElement x="1" y="1" width="141" height="52" uuid="79cfc5b1-7f56-4e9d-84cd-48bfcb50064a"/>
				<imageExpression><![CDATA["C:\\Users\\jely\\Documents\\NetBeansProjects\\reportes_java_mysql\\src\\imagenes\\ULEAM.png"]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="35" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="24" splitType="Stretch">
			<staticText>
				<reportElement x="11" y="1" width="66" height="14" uuid="90bf67b3-f7e9-4557-af7d-90aa3738e800"/>
				<textElement textAlignment="Justified">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[HABITACION_NUMERO]]></text>
			</staticText>
			<staticText>
				<reportElement x="97" y="2" width="100" height="14" uuid="2e2690f8-8691-40d5-ba37-c76ad55a9bdb"/>
				<textElement textAlignment="Justified">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[EMPLEADO]]></text>
			</staticText>
			<staticText>
				<reportElement x="213" y="2" width="100" height="14" uuid="2d440282-ba55-4dd3-8741-2566e8186689"/>
				<textElement textAlignment="Justified">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[TIPO]]></text>
			</staticText>
			<staticText>
				<reportElement x="359" y="2" width="100" height="14" uuid="94f8431e-8e77-44d7-bc73-cff2c225b9bf"/>
				<textElement textAlignment="Justified">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[FECHA]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="25" splitType="Stretch">
			<textField>
				<reportElement x="13" y="3" width="27" height="16" uuid="5116a854-f97c-4d94-bd3f-8c8191f13a88"/>
				<textElement textAlignment="Center">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{HABITACION_NUMERO}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="95" y="2" width="100" height="16" uuid="d060968d-eca5-44e0-8285-ac3f71ffcbba"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{EMPLEADO}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="213" y="2" width="146" height="16" uuid="e0497219-2c27-4327-bde6-28ac653d2fc7"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{TIPO_MANTENIMIENTO}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="363" y="2" width="100" height="16" uuid="b1d5ca39-e9ca-4d93-8006-071218d3258b"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{MANTENIMIENTO_FECHA}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="269" splitType="Stretch">
			<barChart>
				<chart>
					<reportElement x="77" y="36" width="338" height="202" uuid="df1c34cb-520e-4b8b-8fe3-6203ae6f542b"/>
					<chartTitle/>
					<chartSubtitle/>
					<chartLegend/>
				</chart>
				<categoryDataset>
					<categorySeries>
						<seriesExpression><![CDATA[$F{MANTENIMIENTO_FECHA}]]></seriesExpression>
						<categoryExpression><![CDATA[$F{TIPO_MANTENIMIENTO}]]></categoryExpression>
						<valueExpression><![CDATA[$F{HABITACION_NUMERO}]]></valueExpression>
					</categorySeries>
				</categoryDataset>
				<barPlot>
					<plot/>
					<itemLabel/>
					<categoryAxisFormat>
						<axisFormat/>
					</categoryAxisFormat>
					<valueAxisFormat>
						<axisFormat/>
					</valueAxisFormat>
				</barPlot>
			</barChart>
		</band>
	</summary>
</jasperReport>
